package com.zivilon.cinder_loe.tileentity;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

import java.util.List;

import lotr.common.LOTRDimension;
import lotr.common.LOTRGuiMessageTypes;
import lotr.common.LOTRLevelData;
import lotr.common.LOTRMod;
import lotr.common.tileentity.LOTRTileEntityUtumnoPortal;
import lotr.common.world.LOTRTeleporterUtumno;

import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.server.MinecraftServer;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.AxisAlignedBB;
import net.minecraft.util.MathHelper;
import net.minecraft.world.Teleporter;
import net.minecraft.world.World;

public class TileEntityMistBlock extends LOTRTileEntityUtumnoPortal {
    public float color_red;
    public float color_green;
    public float color_blue;

    public TileEntityMistBlock() {
        this(0.0F, 0.0F, 0.0F);
    }

    public TileEntityMistBlock(float r, float g, float b) {
        color_red = r;
        color_green = g;
        color_blue = b;
    }

    public void func_149670_a(World world, int i, int j, int k, Entity entity) {}

    public void writeToNBT(NBTTagCompound nbt) {
        super.writeToNBT(nbt);
        nbt.setFloat("red", this.color_red);
        nbt.setFloat("green", this.color_green);
        nbt.setFloat("blue", this.color_blue);
    }

    public void readFromNBT(NBTTagCompound nbt) {
      super.readFromNBT(nbt);
      this.color_red = nbt.getFloat("red");
      this.color_green = nbt.getFloat("green");
      this.color_blue = nbt.getFloat("blue");
    }

    public void func_145845_h() {}

    @Override
    public void transferEntity(Entity entity) {}

    private LOTRTileEntityUtumnoPortal findActingTargetingPortal() {
        return null;
    }
}
